curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/authors/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"language": "aa",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}リクエスト本文で識別されたブログ執筆者オブジェクトを更新します。
curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/authors/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"language": "aa",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
削除済みのブログ執筆者を更新するかどうかを指定します。デフォルト値は「false」です。
A JSON array of the JSON representations of the updated Blog Authors.
Wrapper for providing an array of JSON nodes as inputs.
入力するJSONノード。
successful operation
Response object for batch operations on blog authors.
バッチオペレーションの完了時刻。
バッチオペレーションの結果。
Show child attributes
バッチオペレーションの開始時刻。
バッチオペレーションのステータス。
CANCELED, COMPLETE, PENDING, PROCESSING バッチオペレーションに関連付けられたリンク。
Show child attributes
バッチオペレーションのリクエスト時刻。